Sat Aug 14 03:54:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.19 released.

	* menu-bar.el (list-buffers-directory): Add declaration.

	* files.el (find-file-noselect): If a find-file-not-found-hook
	succeeds, clear `error'.

	* faces.el (x-create-frame-with-faces): Check for `on' or `true'
	as reverseVideo resource value.
	* frame.el (frame-initialize): Likewise.

	* outline.el (outline-minor-mode-prefix): New variable.
	(outline-minor-mode-map): Use it.
	(outline-level): New var.  Everything funcalls this
	instead of calling outline-level.

	* frame.el (frame-initialize): Handle reverseVideo x-resource.

	* subr.el (momentary-string-display): Scroll to keep the string
	on the screen.

Fri Aug 13 02:23:43 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Don't add multiple errors
	for one source line.

	* bibtex.el (bibtex-mode-map): Change C-c e to C-c C-b.

	* menu-bar.el (mouse-menu-bar-buffers): Use list-buffers-directory.

	* isearch.el (isearch-edit-string): Use read-event, not read-char.

Thu Aug 12 18:20:55 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (backup-inhibited): Doc fix.

	* saveplace.el: New file.

	* bookmark.el: New version from Fogel.

	* mouse.el (mouse-choose-completion): Really go to minibuffer;
	no save-excursion.

Thu Aug 12 14:38:37 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* tar-mode.el (tar-mode-map): Don't bind C-c.

Thu Aug 12 01:32:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paragraphs.el (paragraph-start): Doc fix.

	* paren.el (show-paren-command-hook): Do nothing if input is pending.

Wed Aug 11 17:26:47 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (next-error): Handle zero and negative prefix args.

Wed Aug 11 02:01:49 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired-aux.el (dired-compress-file): Fix previous change.

	* rmail.el (rmail-forward): Don't bind mail-signature, mail-setup-hook.

	* mouse.el (mouse-drag-region): Mouse in menu bar means scroll up.

	* text-mode.el (indented-text-mode): Doc fix.

	* userlock.el (ask-user-about-supersession-threat): Mention file name
	when asking question.

	* paren.el (show-paren-command-hook): Don't use value of make-face.

	* mouse.el (font-menu-add-default): Use list, not cons, for new elt.
	Don't get confused if no Misc entry.

	* emerge.el (emerge-find-difference): Add interactive spec.

	* mouse.el (mouse-set-point): Use event-end, not event-start.

	* frame.el (other-frame): Fix error in loop counting.

Tue Aug 10 08:02:36 1993  Paul Eggert  (eggert@twinsun.com)

	* autoload.el (generate-file-autoloads): Set float-output-format to
	nil, not "%.20e", since nil is guaranteed to not lose info on output.
	* bytecomp.el (byte-compile-from-buffer): Likewise.

Tue Aug 10 04:24:09 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (site-run-file): New variable.
	(command-line): Use it.  Support -no-site-file.

	* mouse.el (mouse-drag-region): Doc fix.

	* texinfo.el (texinfo-delete-from-print-queue)
	(texinfo-tex-buffer): Load tex-mode to get tex-start-shell, etc.

Tue Aug 10 18:19:46 1993  Rob Riepel  (riepel@Snowflake.Stanford.edu)

        * tpu-edt.el (tpu-help): Use variables for "n" and "p".
	(tpu-help-N, tpu-help-n, tpu-help-P, tpu-help-p): New vars.
        * tpu-mapper.el: Insert (in buffer) setqs for tpu-help-... variables.

Mon Aug  9 21:32:42 1993  Paul Eggert  (eggert@twinsun.com)

	* calendar.el (hebrew-holidays-3): Fix misspelling in var name.

	* array.el (abs, ceiling, floor): Remove, since they now redefine
	builtin functions.  All `ceiling' callers rewritten to invoke `floor'.

	* bytecomp.el: `mod' is no longer an alias for `%'.
	* subr.el: Likewise.

	* cal-dst.el (calendar-/, calendar-%): Remove, since floor and mod
	now subsume them.  All callers changed.
	* cal-mayan.el (mayan-mod): Likewise.
	* ring.el (ring-mod): Likewise.
	* solar.el (solar-mod): Likewise.

	* cl-extra.el (floor*): Use `floor' rather than doing all the work.

	* gnus.el (gnus-caesar-region): Replace `%' by `mod' and simplify.
	* rnews.el (caesar-region): Likewise.
	* isearch.el (isearch-ring-adjust1, isearch-ring-advance-edit):
	Likewise.
	* simple.el (current-kill): Likewise.

	* timezone.el (timezone-fix-time): Simplify complicated expression
	with `floor'.
	(timezone-zone-to-minute): Replace (max X (- X)) with (abs X).

Mon Aug  9 15:28:25 1993  Rob Riepel  (riepel@Snowflake.Stanford.edu)

        * tpu-doc.el: Added section on local variables.

        * tpu-edt.el (tpu-version): Print version number rather than the RCS
        revision number.

        * tpu-edt.el (tpu-next-file-buffer): Bind starting-buffer with let.
        * tpu-edt.el (tpu-load-xkeys): Check value of tpu-xkeys-file.
	Make sure to use the "*scratch*" buffer.

        * tpu-edt.el (tpu-lm-replace): Changed variable searching-forward
        to tpu-searching-forward.
        (tpu-substitute): Likewise.
	(tpu-toggle-search-direction): Likewise.
        (tpu-search-forward, tpu-search-reverse, tpu-set-search): Likewise.
        (tpu-search-internal, tpu-adjust-search): Likewise.

        * tpu-extras.el (tpu-search-internal): Changed variable
        searching-forward to tpu-searching-forward.

        * tpu-extras.el: Changed "edit-picture-hook" to
        "picture-mode-hook" for emacs version 19.

        * tpu-mapper.el (tpu-gnu-map-key): Repaired the key name
        generation code to work with the latest version of emacs.

Sun Aug  8 00:39:52 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.18 released.

	* tpu-doc.el (enable-local-variables): setq deleted.
	* tpu-extras.el (edit-picture-hook): Use add-hook to modify it.

	* server.el (server-visit-files): Restore current-buffer by hand,
	not using save-excursion.

	* gud.el (gud-dbx-marker-filter): Detect signals as well as bpts.

	* ange-ftp.el (ange-ftp-send-cmd): Bind ange-ftp-this-...
	in the outermost let, not an inner one.

	* comint.el (comint-mode-map): Delete C-c C-y binding.

	* mh-e.el (mh-read-msg-list): Undo previous change.

	* subr.el (minibuffer-window-active-p): New function.

	* mouse.el (mouse-set-point): Error if click in inactive minibuffer.
	(mouse-drag-region): Use mouse-set-point.
	Don't set a mark if final event wasn't suitable for setting point.

	* etags.el (etags-goto-tag-location): If match started with Ctrl-m,
	compensate when setting point.

	* simple.el (shell-command, shell-command-on-region):
	Fix bugs in previous change.

	* dired-aux.el (dired-compress-file): For .z file, run gunzip.
	When running gzip, see if it made .gz or .z.
	(dired-compress): Delete any old entry for new-file.

Sat Aug  7 20:42:29 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* vc.el (vc-diff, vc-directory-18): Add missing paren to end of
	vc-diff, and remove extra paren from vc-directory-18.

Sat Aug  7 04:18:43 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired-aux.el (dired-diff): Read options right here;
	don't try to use diff-read-switches.  Always call diff with 3 args.
	(dired-backup-diff): Likewise.

	* simple.el (do-auto-fill): Don't keep breaking the line
	if it doesn't help matters.

Fri Aug  6 18:10:29 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* indent.el (indent-region): Fix paren error in last change.

	* mouse.el (mouse-save-then-kill): Fix paren error in last change.

Fri Aug  6 16:25:08 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	Fix {menu,scroll}-bar-mode so prefix arg of M-- works.
	* scroll-bar.el (scroll-bar-mode): If FLAG is non-nil, set it to
	its prefix-numeric-value.
	* menu-bar.el (menu-bar-mode): Defvar removed.
	(menu-bar-mode): Rewritten to parallel scroll-bar-mode.

	* info.el (Info-goto-emacs-command-node,
	Info-goto-emacs-key-command-node): Doc fix.

	* help.el (help-for-help): Mention C-k and C-f.

Fri Aug  6 14:02:22 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (after-find-file): Improve warning message about
	existing file that can't be read.

Thu Aug  5 02:54:42 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* indent.el (indent-region): Rename arg ARG to COLUMN.
	Don't add fill-prefix to empty line.
	Don't change whitespace in empty line.

	* mouse.el (help-admin-map): Fix menu item text.

	* font-lock.el (font-lock-fontify-region):
	Handle comment-start-skip = nil.

	* rmail.el (rmail-resend): Delete any Sender field.

Wed Aug  4 00:36:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* perl-mode.el (perl-mode): Add autoload cookie.

	* paths.el (sendmail-program): Try /usr/sbin/sendmail.el also.

	* mouse.el (mouse-save-then-kill): Don't discard all the normal
	undo info; just replace the deletion entry.

	* tpu-edt.el, tpu-doc.el, tpu-extras.el, tpu-mapper.el: New files.
	* vt-control.el: New file.

Wed Aug  4 14:42:17 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * diary.el (list-diary-entries): Split diary-display-hook into two
        pieces, diary-display-hook and diary-hook.  If diary-display-hook
        is nil, use simple display.
        (include-other-diary-files): Set those hooks properly for other files.

        * calendar.el (diary-display-hook): Change default and fix doc string.
        (diary-hook): New user variable.
        (diary-date-forms, calendar-date-display-form): Don't autoload
        them so the European/American style is decided at load time.

Tue Aug  3 23:40:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lpr.el (print-region-1): Make END a marker so untabify relocates it.

Tue Aug  3 17:38:47 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-minor-mode): Make variable buffer-local.
	(compilation-minor-mode): Autoload this function.

Tue Aug  3 13:44:52 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (man): Define as alias.

	* paren.el (window-setup-hook): Add hook function.

Tue Aug  3 03:52:36 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-dynamic-list-completions): Expand PATHDIR in
	call to file-name-completion.

Tue Aug  3 03:09:18 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el: Make boldness/italicness affect frames created later.
	(make-face-bold, make-face-italic, make-face-bold-italic)
	(make-face-unbold, make-face-unitalic): Update global-face-data.
	Ignore a list found in the font slot.
	(make-face-bold-internal, make-face-italic-internal):
	(make-face-bold-italic-internal): New subroutines.
	(x-create-frame-with-faces): If global-face-data's font slot
	indicates bold and/or italic, make it so.

Tue Aug  3 02:38:34 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* window.el (shrink-window-if-larger-than-buffer): Pass WINDOW to
	pos-visible-in-window-p.

Tue Aug  3 00:08:44 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* completion.el (cmpl-read-time-eval): Make it no-op.
	(cmpl-hours-since-origin): Use truncate to make an integer.
	(completion-search-reset): Use completion-prefix-min-length.

	* telnet.el (telnet): If we already have a telnet to HOST,
	just switch buffers.

Mon Aug  2 23:33:34 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* frame.el (other-frame): Skip iconified and invisible frames.

Mon Aug  2 21:07:02 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (occur-mode-goto-occurrence): Give meaningful error
	message if there's nowhere useful to go.

Mon Aug  2 18:18:52 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-dynamic-complete): If called interactively
	twice in a row, give the completion list.

	* comint.el (comint-dynamic-complete): Expand PATHDIR in call to
	file-name-completion.

	* comint.el (comint-dynamic-completion): Say "Sole completion",
	not "Unique completion".

	* frame.el (other-frame): New function, analogous to other-window.
	(ctl-x-5-map): Bind C-x 5 o to other-frame.

Mon Aug  2 00:47:00 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (add-hook): Change a single function into a list.

	* lucid.el (remove-hook): Doc string added.
	Change a single function into a list.

	* sendmail.el (mail-yank-hooks): Initialize to nil.
	(mail-yank-original): If mail-yank-hooks is nil,
	call mail-indent-citation.

	* c-mode.el (indent-c-exp): Don't document ENDPOS.
	(c-indent-region): Rewrite to use indent-c-exp on one sexp at a time,
	then use c-indent-line on the next line, etc.

	* bytecomp.el (byte-recompile-directory): At end of compiling a file,
	put back the "Checking DIR..." message.

Sun Aug  1 18:22:59 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (etags-tags-completion-table): Fixed regexp for today's
	format.
	(etags-snarf-tag): Skip explicit tag name if present.

Sun Aug  1 20:50:07 1993  Paul Eggert  (eggert@twinsun.com)

	* dissociate.el (dissociated-press):
	Use `(random N)' instead of while loop.
	* dunnet.el: (dun-endgame-question, tcom, tloc):
	Use (random N) instead of combination of %, abs and random.
	* life.el (life-insert-random-pattern): Simplify (% (abs (random)) N)
	to (random N).
	* cookie1.el (pick-random): Remove.
	All callers changed to use `random' instead.
	* gomoku.el (random-number): Likewise.
	* mpuz.el (mpuz-random): Likewise.

	* emerge.el (emerge-default-[AB]): Use (zerop (% A B)) instead of
	(= (* (/ A B) B) A).

Sun Aug  1 01:17:14 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (event-click-count): New function.

	* texinfmt.el: Installed the version from the Texinfo package.

	* dired.el (dired-sort-mode): Variable deleted.
	Don't display it in mode line.
	(dired-sort-set-modeline): Set mode-name instead.

	* etags.el (visit-tags-table-buffer): New local named
	visit-tags-table-buffer-cont copies cont.
	(tags-table-including): Set that, instead of cont.

	* c-mode.el (indent-c-exp): Don't move an { from column 0.

Sat Jul 31 01:31:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tar-mode.el: Fix doc strings and error message syntax.
	Add menu bar items.
	(tar-subfile-mode): Set a local-write-file-hook
	rather than using key bindings.
	(tar-subfile-save-buffer): Return t.

	* add-log.el (change-log-mode): Use \f for formfeed, to avoid
	syntax error.

	* isearch.el (isearch-done): Move point (for small window)
	before deciding whether to set the mark.

	* man.el (Man-build-references-alist): When setting word,
	use only what Man-reference-regexp matched.
	(Man-reference-regexp): Don't match starting with a period.
	(Man-first-heading-regexp): Allow leading space.
	(Man-heading-regexp): Allow leading space.
	(Man-section-translations-alist): Add entries for xlib.

	* completion.el (completion-version): New variable.
	(save-completions-to-file): Use completion-version.

	* tex-mode.el (validate-tex-buffer): Record mismatches in *Occur*.

	* files.el (basic-save-buffer): When we read a file name,
	use set-visited-file-name to put it in.

	* mouse.el (mouse-choose-completion): Actually choose that alternative,
	don't just insert its name.

	* simple.el (shell-command-history): New variable.
	(shell-command, shell-command-on-region): Use it.

Fri Jul 30 14:25:24 1993  Paul Eggert  (eggert@twinsun.com)

	* window.el (shrink-window-if-larger-than-buffer): Do nothing if the
	window is the only window of its frame.  If the buffer ends in newline
	and point is not at the end of the buffer, do not display the
	last (empty) line.

	* vc.el (vc-shrink-to-fit): Deleted.  All callers changed to use
	the new, fixed `shrink-window-if-larger-than-buffer' instead.
	In some places move it after a (goto-char (point-min)).

Fri Jul 30 20:19:06 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* blackbox.el (blackbox-mode-map): Now that we have
	terminal-independent function-key facilities, we ought to use
	them.  Remove hack which looks for all bindings for the simple
	motion keys and locally binds them to blackbox keys; add bindings
	for the [up], [down], [left], and [right] keys.

	* frame.el (frame-notice-user-settings): If we had to create a new
	frame in order to obey initial-frame-alist, use delete-frame's
	FORCE argument to get rid of the old frame even if the new one
	hasn't been mapped yet.

Fri Jul 30 20:18:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-region-as-paragraph): When we take one word
	after the fill column, don't stop at period with just one space.
	When checking whether at beginning of line, if no fill prefix,
	ignore intervening whitespace.

Fri Jul 30 18:38:56 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* gud.el (gud-gdb-marker-filter): Preserve the match data across
	the filter's execution.

	* gud.el (gud-gdb-marker-filter): If we received some text after
	the position marker, append it to any text before the marker,
	instead of throwing away the text before the marker.

Fri Jul 30 03:00:20 1993  David Gillespie  (synaptx!daveg@uunet.UU.NET)

	* cl.el: File totally replaced.
	* cl-compat.el, cl-extra.el, cl-macs.el, cl-seq.el: New files.

	* info.el (Info-fontify-node): New function.
	(Info-fontify): New variable.
	(Info-mode): Initialize Info-related faces.
	(Info-select-node): Fontify the node if necessary.

	* info.el (Info-goto-node): Provide completion for node names.
	(Info-read-node-name, Info-build-node-completions): New functions.
	(Info-current-file-completions): New variable.
	(Info-find-node): Clear completions cache.

	* info.el (Info-next-reference, Info-prev-reference): New commands.
	(Info-mode-map): Bind these to TAB and M-TAB.
	(Info-next-preorder): Special case if sitting on "*Note" reference.

	* info.el (Info-standalone): New variable.
	(Info-exit): Exit Emacs if in standalone mode.
	(info-standalone): New function.

	* info.el (Info-summary): Added `bury-buffer' call.
	(Info-no-error): Renamed from `no-error'.
	(Info-suffix-list): Put ".info" before "" to deal with directory
	named "foo" next to file "foo.info".

Fri Jul 30 03:00:20 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-region-as-paragraph): Move misplaced paren
	ending `(if (eobp) nil ...)'.
	In the loop that avoids breaking after `.' with one space,
	break if we actually have two spaces.

Fri Jul 30 01:32:53 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Broaden RS6000
	regexp to match "lines N-M," or "line N,".

Thu Jul 29 19:21:10 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* gud.el (gud-gdb-marker-filter): Do not assume that the position
	markers from GDB will always be received in one chunk of input;
	gud-gdb-marker-filter may be called several times, each time
	providing a little more of the position marker.
	(gud-gdb-marker-acc): New variable.
	(gud-gdb-marker-filter): If we have received what could be the
	beginning of a position marker, hold that text in
	gud-gdb-marker-acc for the next time we get called, until we have
	enough information to decide for sure.

	* gud.el (gud-gdb-marker-filter): Only recognize GDB position
	markers if they occur at the beginning of the line.  They always
	do, and this reduces the likelihood that the above change will
	hold back output that isn't really a position marker.

	* mpuz.el (mpuz-board): Doc fix.

Thu Jul 29 01:10:06 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (dbx): Use %d in gud-break.
	(gud-format-command): Support %d.  Delete spurious progns.

	* etags.el (etags-goto-tag-location): Handle selective display.

	* sendmail.el: Do the global key bindings only via loaddefs.el,
	not when sendmail.el is loaded.

	* buff-menu.el (Buffer-menu-mode-map): Undo previous change.

	* rmail.el (rmail-nuke-pinhead-header): Tell replace-match not to
	alter the case.
	(rmail-toggle-header, rmail-reformat-message): Ignore case
	when checking for Summary-line.

	* calendar.el (calendar-mode-map): Bind C-SPC.

Thu Jul 29 04:58:47 1993  Paul Eggert  (eggert@twinsun.com)

	* (vc-mode-line): Set vc-mode to nil if FILE no longer is
	version-controlled.

Thu Jul 29 00:47:52 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (delete-frame): Permit it, if > 1 frame is vis or iconic.

Wed Jul 28 23:02:45 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* man.el (Man-find-section): HP/UX man pages have section names
	indented by a single space; recognize them.

	* gud.el (gud-last-last-frame): Specify initial value.  `dbx'
	doesn't work unless we do.

Thu Jul 29 00:00:29 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): When checking whether function decl
	is inside a comment, move back to the `(' that starts the arglist.

Wed Jul 28 19:50:53 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-convert-file): If file needs conversion,
	convert it all.

	* macros.el (name-last-kbd-macro): Handle macros that are vectors.

	* man.el (Man-filter-list): Insert \n newlines in awk script.

	* time-stamp.el (time-stamp): Add autoload cookie.

Wed Jul 28 18:41:55 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-replace-by-expanded-filename,
	comint-dynamic-complete): Say "Sole completion" instead of "Unique
	completion", for consistency with the rest of the known universe.

Wed Jul 28 04:21:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sc.el: Require assoc instead of sc-alist.
	* sc-alist.el: File deleted.

	* gnus.el (gnus-apply-kill-hook): Make the value a list of functions.
	(gnus-mark-article-hook, gnus-select-digest-hook): Likewise.
	(gnus-select-article-hook, gnus-select-group-hook): Likewise.

Tue Jul 27 17:58:29 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-recompile-directory): Doc fix.

	* term/x-win.el (iconify-or-deiconify-frame): New function.
	Use it for C-z.

Tue Jul 27 19:28:46 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Removing any trailing "-".

Tue Jul 27 01:48:44 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cplus-md.el (c++-mode-syntax-table): Don't alter syntax of '.

	* term/x-win.el (x-handle-iconic): New function.
	(command-switch-alist): Use that.
	(x-switch-definitions): Delete elt for `-iconic'.

	* gud.el (dbx): For gud-break, send a file command and a stop command.

	* diary.el: Doc fixes.

Mon Jul 26 15:55:32 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (font-menu-add-default): New function.
	* startup.el (normal-top-level): Call font-menu-add-default.

Mon Jul 26 14:32:18 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (read-expression-history): New defvar.
	(eval-expression): Use it has history var in interactive spec.

Mon Jul 26 01:54:00 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-notice-user-settings): Don't reapply a parm
	whose value is ot changed (as far as we know) since frame-initialize.

	* simple.el (kill-ring-save): Delete spurious `message' call.
	(set-mark): If POS is nil, call deactivate-mark.

	* c-mode.el (indent-c-exp): When previous line ends in comma,
	use calculate-c-indent.  Fix the "inner loop" to properly detect
	a line that ends outside of comments and strings.

	* cplus-md.el (c++-mode-syntax-table): Handle C-style comments.

	* files.el (insert-directory): Make sure default-directory is absolute.

	* dired.el (dired-readin-insert): If we got a list of files,
	pass nil for WILDCARD arg to dired-insert-directory.

Sun Jul 25 16:19:47 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-backend-steal): Pass arg omitted in last change.

	* term/x-win.el (x-selection-timeout): Use 20000 as default.

	* mouse.el (x-fixed-font-alist): Give some fonts long patterns.
	Delete 9x15 bold and 8x13 and 8x13 bold.  Add some fonts.

	* term/x-win.el (x-select-text): Never set the CLIPBOARD selection.
	(x-cut-buffer-or-selection-value): Try PRIMARY before cut buffer.
	(x-cut-buffer-max): Set based on x-server-max-request-size.

Sat Jul 24 01:33:11 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* unrmail.el (unrmail): Total rewrite.
	* rmailout.el (rmail-output): New arg NOATTRIBUTE.

	* rmailout.el (rmail-output-to-rmail-file): Set rmail-last-rmail-file
	while reading the interactive args.
	(rmail-output): Likewise, for rmail-last-file.
	(rmail-output-to-rmail-file): Use default-file consistently.

	* replace.el (occur): If no default, don't mention one.

	* rmail.el (rmail-last-rmail-file): Initialize to a file name.
	(rmail): Don't set rmail-last-rmail-file.

	* info.el (Info-select-node): Run Info-selection-hook.

	* ispell.el (ispell-point): Do nothing if there's no word at START.

Fri Jul 23 00:42:36 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* doctor.el (doctor-type-symbol): Win if auto-fill-function is nil.

	* edt.el (advance-direction): Set kp-f3, not kp-f1.

	* term/x-win.el (x-select-text): Always set the cut buffer,
	but sometimes set it to nothing.  Don't put large strings in clipboard.

	* dired.el (dired-readin-insert): Don't use the "whole directory"
	case if DIR-OR-LIST is a list.

	* font-lock.el (font-lock-after-change-function):
	Scan for comments and strings from beg of line.
	(c-font-lock-keywords-1): Recognize &, like *, before fn name.
	(perl-font-lock-keywords): Put digit 1 into function-name-face items.
	Allow whitespace before the open-brace.

	* sort.el (sort-skip-fields): Really implement fields as runs
	of nonwhitespace chars.
	(sort-fields, sort-float-fields, sort-numeric-fields):
	Don't subtract 1 when calling sort-skip-fields.

Thu Jul 22 13:44:22 1993  Ron Schnell  (ronnie@media.mit.edu)

	* dunnet.el (dun-special-object): Fixed so that bus will
	explode if falls through hole instead of making adventurer
	trapped in room with no escape and no way off the bus.

Thu Jul 22 13:34:32 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-select-text): Limit size of text sent to cut buffer.

	* subr.el (keyboard-translate): Properly lengthen existing table.

	* files.el (set-auto-mode): Fix backwards test
	involving inhibit-local-variables-regexps.

	* loaddefs.el (ctl-x-map): Correct C-x r t to string-rectangle.

	* paren.el (show-paren-command-hook): Specify buffer for move-overay.

Thu Jul 22 03:59:42 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-revert): Use `co -f' instead of deleting the
	working file ourselves; that way, if `co' fails, we won't have
	deleted the working file.
	(vc-backend-steal):  Don't delete the working file.  Use `rcs -u -l',
	not `rcs -u ; rcs -l'; it's faster.  Use vc-backend-dispatch -- the
	old code couldn't have possibly worked.

Thu Jul 22 01:34:34 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): If LIST is nil, just return.

	* mouse.el (mouse-secondary-save-then-kill): When making the undo item,
	use an integer, not a marker, for the position.

	* rmail.el (rmail-forward): Call rmail-start-mail for new frame
	even if just one window.
	(rmail-start-mail): Return what mail-other-frame returned.

	* mouse.el (mouse-set-font): Update faces bold, italic and bold-italic.

	* completion.el (complete): Use sit-for, not cmpl19-sit-for.

	* simple.el (completion-list-mode): Renamed from completion-mode.
	(completion-list-mode-map): Likewise.

	* files.el (parse-colon-path): Really make nil, not ".",
	for empty path element.

Wed Jul 21 00:07:54 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Bind float-output-format.
	Bind print-escape-newlines.

	* inc-vers.el: Try deleting version.el if it's not writable.

	* term/lk201.el: Explicitly define kp-f1...

	* tar-mode.el (tar-parse-info, tar-header-offset, tar-superior-buffer)
	(tar-superior-descriptor): Make them permanent locals.
	(tar-mode): Call kill-all-local-variables.
	Locally set enable-local-variables to nil.

	* man.el (Man-set-fonts): Don't look for another char after
	the backspace; instead look for a sequence CHAR BS CHAR BS CHAR BS...
	Delete all the CHAR BS pairs found, after making the text property.

	* c-mode.el (indent-c-exp): If ENDPOS, always set OPOINT
	to the function start.  And don't indent a line which is past ENDPOS.
	Don't indent a comment on the first line if it's the only
	thing on that line.
	Call calculate-c-indent-within-comment when appropriate.

	* mouse.el (mouse-drag-region): Use deactivate-mark.

	* font-lock.el (perl-font-lock-keywords): Add a `(... . 1)' to the
	first element of the list.
	(font-lock-hack-keywords, font-lock-unfontify-region)
	(font-lock-fontify-region): Bind buffer-read-only to nil,
	and don't alter buffer-modified-p.
	(font-lock-fontify-region): Use comment-start-skip, not comment-start.

Tue Jul 20 00:34:26 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* buff-menu.el (Buffer-menu-mode-map): Bind delete like DEL.

	* files.el (parse-colon-path): Turn empty substring into nil.

	* sendmail.el (mail-bury): Check that frame-parameters is defined.

	* font-lock.el (font-lock-function-name-face): defvar renamed.
	(font-lock-hack-keywords): Evaluate face specs from keyword list.

	* dunnet.el: New version from Schnell, to fix possible bad patch run.

	* subr.el (define-key-after): Fix typo in previous change.

	* outline.el (outline-mode-map): Delete spurious `outline-'
	from show and hide command names in menu.

	* ange-ftp.el (file-name-handler-alist): Have two separate regexps
	with different hooks.
	* files.el (ange-ftp-completion-hook-function): New function.

	* paren.el (show-paren-face): New variable.
	(show-paren-command-hook): Use it.
	Call set-face-background properly.

	* reposition.el (reposition-window): Don't forward-char if eobp.

	* startup.el (normal-top-level): Call abbreviate-file-name again
	after calling command-line.

	* rmailedit.el (rmail-edit-map): Inherit properly from text-mode-map;
	use the whole thing, not its cdr.

	* man.el (Man-getpage-in-background): Copy process-environment
	so we only alter the copy.

	* mh-e.el (mh-read-msg-list): Add space to message-number regexp.

Mon Jul 19 19:27:01 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Use "-", not " ", to separate locks,
	so that the RCS minor mode label doesn't contain internal spaces.

Mon Jul 19 14:56:17 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-unmark-all-files-no-query): New command.
	(dired-mode-map): Use that for the Unmark All item.
	Fix typo that made the Flag Backup Files item not show up.

	* mlconvert.el (while): Comment out converter.

	* calendar.el (hebrew-holidays): Split into 4 sub-variables.

Mon Jul 19 16:06:31 1993  Masanobu UMEDA  (umerin at orchid)

	* gnus.el (gnus-emacs-version): New variable.
	(gnus-version): Updated to 4.1.
	(gnus-newsrc-to-gnus-format): Use different regexp in 18 and 19.
	(gnus-group-startup-message): Use gnus-emacs-version.

	* gnuspost.el (gnus-current-time-zone): Fix typo.
	(gnus-inews-organization): Fix zero length string operation bug.

	* metamail.el (metamail-environment): Format changed.  It
	must be a list of strings that have the format ENVVARNAME=VALUE.
	(metamail-region): Corresponding changes.

	* metamail.el (metamail-region): Optional 2nd argument NODISPLAY
	controls redisplay behavior.
	(metamail-buffer): LIkewise.

Mon Jul 19 01:44:43 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-bar-buffers): Add Frames pane if there
	are multiple panes.

Sun Jul 18 21:05:05 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Omit "LOCKER:" if you are the locker.

Sun Jul 18 16:41:08 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-comment-to-change-log): Complete rewrite.  Do not use
	vc-update-change-log.  Instead, snarf last comment from
	vc-comment-ring and insert it with add-change-log-entry.

	* add-log.el (prompt-for-change-log-name): Autoload this (for
	vc-comment-to-change-log).
	(add-change-log-entry): Take optional fourth arg NEW-ENTRY.  If
	non-nil, never append to an existing entry.
	(change-log-fill-paragraph): New function.
	It might be nice to have a general feature to replace this.  The
	idea I have is a variable giving a regexp matching text which
	should not be moved from bol by filling.  change-log-mode would
	set this to "^\\s *\\s(".  But I don't feel up to implementing
	that today.
	(change-log-mode-map): New defvar for keymap.  Bind M-q to
	change-log-fill-paragraph in it.
	(change-log-mode): Use that as local map.

	* add-log.el (add-log-current-defun-function): New defvar.
	(add-change-log-entry): Call its value if non-nil instead of
	add-log-current-defun.
	(add-change-log-entry-other-window): Doc fix.

	* compile.el (compilation-error-list): An elt's cdr's car is again
	a cons (DIRECTORY . FILE) if it's not a marker.  The conversion to
	using a string containing an expanded file name was never
	finished, and anyway it utterly broke compilation-search-path and
	a few other things.
	(next-error): Expect them that way.
	(compilation-parse-errors): Make them that way.
	(compile-file-of-error): Function removed.
	(compilation-error-filedata, compilation-error-filedata-file-name): New
	defsubsts.
	(compilation-next-file): Use them instead of compile-file-of-error.

Sun Jul 18 16:01:03 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Go to the beginning of FILE before searching it
	for generate-autoload-cookie.

	* cookie1.el (cookie, cookie-insert, cookie-snarf, shuffle-vector):
	Autoload these.

Sun Jul 18 02:38:03 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.17 released.

	* makeinfo.el: Don't (require 'texinfmt) - that file doesn't exist
	any more; all its functions have been moved into other files.

	* files.el (insert-directory): Doc fix.

	* files.el (insert-directory): If FULL-DIRECTORY-P is non-nil,
	add "." component to the end of the path, so that if file is a
	symlink, we get the contents of the directory, not the symlink
	itself.

Sat Jul 17 13:25:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tar-mode.el (tar-extract): Use view-exit-action to kill viewed buf.

	* view.el: Doc fixes; some args renamed.

	* gnus.el (gnus-info-nodes): Update node names.

	* makeinfo.el (makeinfo-options): Fix option syntax in initial value.

	* texinfo.el (texinfo-mode): Undo changes mistakenly added with
	previous batch: texinfo-{start,end}-of-header are now tex-...

Sat Jul 17 18:13:11 1993  Johan Vromans  (jv@mh.nl)

	* forms.el: New version 2.0.
	Redesigned and rewritten to use Emacs 19 text properties. 
	Requires Emacs 19.16 or later.

Sat Jul 17 01:58:36 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Include (invocation-name) in the error messages
	which might occur during startup.

	* shell.el (shell-process-pushd): Fix syntax error in
	condition-case.

Fri Jul 16 20:16:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (revert-buffer): Make menu-enable form more accurate
	using revert-buffer-function and verify-visited-file-modtime.
	(menu-bar-help-menu): Put back under global-map.
	(menu-bar-final-items): Set it.

	* mh-e.el (mh-yank-hooks): Use (mark t).
	(mh-new-draft-name): Likewise.

Fri Jul 16 16:30:18 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* comint.el (comint-{next,prev}-prompt, comint-send-eof): New defuns.
	(comint-mode-map): Bind C-c C-n, C-c C-p, and C-c C-d to those.
	Bind C-c C-y to comint-previous-input, for compatibility with v18
	shell.el.

Fri Jul 16 15:53:38 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* advice.el (ad-start-advice-on-load): Initialize to t.

Fri Jul 16 04:45:14 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Make the `-rn NAME' option specify a resource
	name, as documented, and not a resource database string.  Make
	`-name NAME' act like `-rn NAME' and also set the name of the
	initial frame.
	(command-switch-alist): Process the `-rn' and `-name' options
	using the x-handle-name-rn-switch function.
	(x-handle-name-rn-switch): New function, which sets the
	x-resource-name variable.
	(opening connection): Make sure x-resource-name is valid.  If it's
	not a string, set it to (invocation-name), with any periods or
	asterisks changed to hyphens.

	* term/x-win.el: Make the `-xrm STRING' option specify a resource
	database string.  `-rn' used to behave this way.
	(command-switch-alist): Process the `-xrm' switch using
	x-handle-xrm-switch.
	(x-handle-xrm-switch): Renamed from x-handle-rn-switch; this
	function does the right thing for `-xrm', not for `-rn'.

Fri Jul 16 00:11:29 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-bury): If selected frame is dedicated,
	and there are other visible frames, delete this frame.

	* rmail.el (rmail-mail-new-frame): New variable.
	(rmail-start-mail): New function.
	(rmail-mail, rmail-continue, rmail-reply, rmail-forward)
	(rmail-retry-failure): Use rmail-start-mail.

Thu Jul 15 01:29:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (face-equal): Don't mess with face-background-pixmap.

	* ispell.el (ispell-menu-map): Add missing quote in defalias.
	(ispell-window-configuration): Initialize to nil.

	* vc-hooks.el (vc-rcs-status): Make work buffer's name start w/ space.

	* simple.el (completion-setup-function): Insert the mouse help message
	only if non-nil `window-system'.

	* paren.el: Enable the hook only if window-system.
	Clear blink-paren-function at the same time.
	(show-paren-command-hook): If after a closeparen,
	highlight that closeparen as well as matching open.
	Use a different color for a mismatch, if color screen.

Thu Jul 15 01:07:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* assoc.el (asort): First argument should be named alist-symbol,
	not assoc-symbol.

Wed Jul 14 23:52:20 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-done): Let save-buffer make the backup,
	so that make-backup-files remains effective.

	* loaddefs.el: Delete C-x a C-h binding.

	* menu-bar.el (help-menu-bar-map): Put the Help item in this map.

Wed Jul 14 23:46:02 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* isearch.el (isearch-edit-string): Bind isearch-nonincremental to
	its own value, not to nil.

Wed Jul 14 23:35:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* hippie-exp.el: Renamed from hippie.el.

Wed Jul 14 23:08:17 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): After skipping two lines,
	move one char back so point is before the newline.

Wed Jul 14 21:55:13 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* gud.el (gud-debugger-startup): Replaced with gud-massage-args.
	(gud-{gdb,sdb,xdb}-debugger-startup): Replaced with gud-*-massage-args.
	(gdb, sdb, xdb): Argument is command line, not args for it.  Remove
	debugger name from prompt and put it in the default input instead.
	Overload gud-massage-args instead of gud-debugger-startup.
	(gud-chop-words): New function; subr for gud-common-init.
	(gud-common-init): Argument is command line, not args for it.
	Rewritten to use gud-chop-words instead of temp buffer and kludge
	involving read.  Find the program name as the first word of the
	command line.  Use make-comint and gud-massage-args in place of
	gud-debugger-startup. 
	Expand the file name before passing it to gud-massage-args.

Wed Jul 14 19:38:00 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* spook.el (snarf-spooks): Restore function.

	* cookie1.el (cookie-cache): New defvar.
	(cookie-snarf): Cache cookies in cookie-cache, not in obarray (idiot).
	Also store the modtime and punt the cache when it changes.

Wed Jul 14 19:14:37 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	Changes from Anders Holst, to bring hippie-expand up to version 1.2:
	* hippie-exp.el (hippie-expand-max-buffers): New variable.
	(try-expand-line-all-buffers, try-expand-list-all-buffers,
	try-expand-dabbrev-all-buffers): Use it.
	(try-expand-list, try-expand-list-all-buffers): New functions.
	(he-string-beg, he-string-end, he-search-loc): These values are
	now markers, not integers.  Uses changed.
	(he-reset-string, he-substitute-string): Use a marker to preserve
	the old position of point.
	(try-expand-all-abbrevs): handle case the same way as the
        usual expand-abbrev (which is not a very good way, but for
        consistency...). 
	(he-dabbrev-beg): Use `skip-syntax' instead of `skip-chars', to
        adjust its behavior to different modes.
	(hippie-expand): Don't messages which try function it is using,
        when the expansion itself is done in the minibuffer (it was very
        annoying to have the message obscuring the expansion).
	(try-complete-file-name, try-complete-file-name-partially,
	try-complete-lisp-symbol, try-complete-lisp-symbol-partially,
	try-expand-line, try-expand-line-all-buffers,
	try-expand-all-abbrevs, try-expand-dabbrev,
	try-expand-dabbrev-all-buffers): No unnecessary "resetting" of the
	epansion, when no expansion is done (caused the buffer to be
	marked as changed, although nothing was done, among other things).
	(he-reset-string): Undoing of last expansion at a later occasion, now
        undoes correctly (before, it garbled things up).
	(make-hippie-expand-function): now uses "(function ...)" 
        instead of "'" (matters for compilation).
	(try-expand-line, try-expand-line-all-buffers,
	he-line-search-regexp): uses `comint-prompt-regexp' instead of
	`shell-prompt-pattern', to strip off prompt in process buffers.

Wed Jul 14 16:56:19 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads):
	Fix FILE truename hacking to substring
	SOURCE-TRUENAME instead of FILE.

Tue Jul 13 01:51:31 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (copy-face): New arg NEW-FRAME.
	(list-faces-display): New command.

	* simple.el (completion-mode): New major mode.
	(completion-setup-function): New function.
	Add it to completion-setup-hook.

	* mouse.el (mouse-choose-completion): New function.

	* dunnet.el: Many functions and variables renamed.

	* sendmail.el (mail-bury): New function.
	(mail-send-and-exit): Call mail-bury.
	(mail-dont-send): New command, with menu bar binding.

	* compare-w.el (compare-windows-skip-whitespace): New function.
	(compare-windows): Use that.
	(compare-windows-whitespace): Value is now regexp.

	* rmail.el (rmail-insert-inbox-text): If inbox is not in the
	spool dir, try copying before renaming.

Tue Jul 13 00:38:53 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* shell.el (shell-prompt-pattern): Don't match more than one line.
	Doc fix.

	* bytecomp.el (byte-compile-from-buffer): Bind float-output-format
	to "%.20e", not "%20e"; the latter is always ignored, since it
	doesn't have a decimal point after the percent sign.

Mon Jul 12 23:17:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Correctly detect when the
	buffer receiving the autoload forms is in a parent of or the same
	directory as FILE, even in the presence of symlinks.

Mon Jul 12 23:57:14 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): Error if KEY has two elements.

	* dired.el (dired-mode-map): Add menu bar items.

Mon Jul 12 23:17:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Correctly detect when the
	buffer receiving the autoload forms is in a parent of or the same
	directory as FILE.

Mon Jul 12 16:44:47 1993  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el: Install the correct regexp in
	file-name-handler-alist.

	* term/x-win.el: Recognize affirmative values for reverseVideo
	properly.  Include "on" in the list of recognized values.

Mon Jul 12 15:11:55 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Include head version number
	in mode line if there are no locks.

Mon Jul 12 14:36:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-file-menu): Add menu item for dired.

	* menu-bar.el (ispell-menu-map): New autoload definition.
	(menu-bar-edit-menu): Add "Spell" item.
	* ispell.el (ispell-menu-map): New keymap--both fn and var.

	* loaddefs.el (mode-line-buffer-identification): Doc fix.

Sat Jul 10 23:28:50 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* calendar.el (calendar-holidays): Don't autoload this; its value
	must be set after the user's .emacs file is loaded.

Sat Jul 10 01:15:54 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Do nothing if not window-system.

Fri Jul  9 00:04:12 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): If file is an Rmail file,
	use rmail-output-to-rmail-file.
	(rmail-output-to-rmail-file): If file exists
	and is not an Rmail file, use rmail-output.
	If we find an element in rmail-output-file-alist, eval it.
	(rmail-file-p): New function.
	(rmail-output-file-alist): Now contains expressions to eval.

	* font-lock.el: New file.

	* bytecomp.el (byte-compile-setq-default):
	Generate a progn of calls to set-default, then compile it.

	* menu-bar.el (mouse-menu-bar-buffers):
	Don't lose if all buffer names are short.

	* dunnet.el: New file.

Thu Jul  8 19:31:58 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* loaddefs.el (global-map): Bind M-next to scroll-other-window.

	* compile.el (compilation-error-regexp-alist):
	Broaden ``Line N of "FILE": msg'' regexp
	to also match Ultrix f77: ``Error on line N of FILE: msg''.

Thu Jul  8 18:42:14 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Make everything that deactivates the mark do it consistently.
	* simple.el (deactivate-mark): New function.
	(kill-ring-save, pop-mark, keyboard-quit): Call it.
	* ispell.el (ispell):
	Call deactivate-mark instead of setting mark-active directly.  Do
	this regardless of transient-mark-mode.
	* isearch.el (isearch-done):
	Call deactivate-mark instead of setting mark-active
	directly.  Do this regardless of transient-mark-mode.

Thu Jul  8 20:51:51 1993  Richard Stallman  (rms@churchy.gnu.ai.mit.edu)

	* files.el (basic-save-buffer): Use after-save-hook.

Thu Jul  8 17:46:22 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el: Put error-conditions and error-message properties on
	'mark-inactive.
	(mark): Signal 'mark-inactive instead of using error with a message.

Thu Jul  8 17:14:43 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrev-end-of-buffer): Fix interactive spec
	to "P", same as end-of-buffer.

Thu Jul  8 15:06:38 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* hanoi.el: Add (provide 'hanoi).

Wed Jul  7 18:19:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (file-relative-name): If we use default-directory,
	call expand-file-name anyway.

	* texnfo-upd.el (texinfo-update-node): Bind auto-fill-hook
	as well as auto-fill-function.
	(texinfo-sequential-node-update): Likewise.

Wed Jul  7 09:25:37 1993  Robert J. Chassell  (bob at grackle)

        * texnfo-upd.el: Fix typo re `texinfo-sequential-node-update.'
        Ensure that no commands depend on the value of
        case-fold-search.
	Rewrite messages.  Avoid using `mark-whole-buffer'.

	(texinfo-start-menu-description):
        New function to insert title as description in a menu. 
        (texinfo-make-menu-list): Remove automatic title insertion.
	(texinfo-master-menu): Error message if file
        contains too few nodes for a master menu.
	Handle the case where no master menu was inserted.
        (texinfo-insert-master-menu-list): Only attempt to insert detailed
        master menu if there is one.
        Insert a master menu only after `Top' node and before next node.

        (texinfo-check-for-node-name): Offer section title as prompt.
        (texinfo-copy-next-section-title): Copy title correctly.
	Handle failure to find @node.
        (texinfo-copy-menu): Error message if menu empty.
        (texinfo-pointer-name):  Find only those
        section commands that are accompanied by `@node' lines.
        (texinfo-section-types-regexp): Look for subh and subs, not just sub.
        (texinfo-make-one-menu): Copy node-name correctly for message.
        (texinfo-copy-menu-title): Copy title as it
        should rather than node line.

        (texinfo-find-higher-level-node): Stop search at limit.
	Special handling for `top' and `chapter' levels.
        (texinfo-copy-menu-title): Rewrite to handle outer include files.
        (texinfo-multi-file-update): Update all nodes properly (and sooner);
        rewrite doc string and interactive. Copy title properly.
        (texinfo-all-menus-update): Fixed typo that
        caused the function to create a master menu when it shouldn't.
        Update pre-existing master menu, if there is one.

	(texinfo-incorporate-descriptions): Use a regexp search to look for 
	both kinds of menu item.
	(texinfo-menu-indent-description): Likewise.
	(texinfo-incorporate-menu-entry-names): New function.
	(texinfo-insert-menu): Handle both kinds of menu item.
 	(texinfo-multi-files-insert-main-menu): Likewise.
	(texinfo-update-node): Pass t as second arg to push-mark.
	(texinfo-sequential-node-update): Likewise.
	(texinfo-insert-node-lines): Bind `title' at a higher level.
	Don't find previous @node if it's close.
	Take region to process as arguments.
	(texinfo-multiple-files-update): Handle prefix arg better within
	`interactive'.  Canonicalize the blank lines.

Wed Jul  7 16:13:57 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Correctly do nothing when there are no cookies.

Wed Jul  7 15:58:54 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-choose-yank):
	Change menu title to "Choose Next Yank".

Wed Jul  7 03:19:41 1993  Paul Eggert  (eggert@twinsun.com)

	* vc-hooks.el (vc-rcs-status): Removed unused variable `status'.

	* rmail.el (rmail-resend): Use RFC 822 style date in Resent-Date: line.
	* sendmail.el (mail-do-fcc): Likewise, for appending Date: lines to
	RMAIL mode buffers.  Use new `mail-rfc822-time-zone' function
	to simplify pinhead generation.
	* mail-utils.el (mail-rfc822-time-zone, mail-rfc822-date): New fns.

Wed Jul  7 02:26:31 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (cd-absolute): Use abbreviate-file-name on expansion of DIR.

	* gud.el: Add (provide 'gud).

	* files.el (basic-save-buffer):
	Invoke after-save-hook, not after-save-hooks.

	* time.el (display-time-file-nonempty-p): Use file-chase-links.

	* bytecomp.el (byte-compile-setq-default): Handle multiple pairs
	args like setq (as the setq-default subr does).

	* autoload.el: Doc fix.

Tue Jul  6 18:07:14 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-variables): Compare truename as well as given name
	against rmail-file-name.

	* man.el (Man-mode-line-format): Add a space after global-mode-string.

Tue Jul  6 11:05:14 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.16 released.

Tue Jul  6 01:21:37 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* vc.el (vc-start-entry): Don't call file-name-nondirectory on
	FILE before passing it to vc-mode-line.  Everyplace else passes
	vc-mode-line full filenames, and vc-mode-line now needs the real
	file name to decide which version-control system the file is under.

	* man.el (Man-build-man-command): Don't leave a pipe symbol at the
	end of the command list if Man-filter-list is nil.
	(Man-default-man-args): Don't write out assq and mapconcat.
	(Man-default-man-entry): Don't default to section 2 for C-mode.
	Call Man-default-man-args, and let people use
	Man-auto-section-alist if this is what they want.
	(manual-entry): Call Man-translate-references, instead of writing
	it out.
	(Man-getpage-in-background): Don't apply Man-default-man-args
	here; manual-entry has already run it, and
	Man-follow-manual-reference provides the sections itself.

Mon Jul  5 00:43:20 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): If we get a switch-frame-event,
	save it until we're done asking questions, and then unread it.

Mon Jul  5 03:20:12 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-name): Move to vc-hooks.el.
	* vc-hooks.el (vc-name): Moved from vc.el; vc-rcs-status now uses it.
	(vc-name, vc-backend-deduce): Set both vc-name and vc-backend
	properties, to avoid calling vc-registered unnecessarily when
	the other property is needed.
	(vc-rcs-status): Yield only status of locks; do not try to yield " REV"
	if there are no locks, since this cannot be done easily if there are
	branches.  Use vc-name instead of duplicating its function incorrectly.
	Fix off-by-one bug when inserting master header pieces.  Read headers
	8192 bytes at a time instead of 100.  Don't bother to expand-file-name.
	(vc-rcs-glean-field): Removed.

Sun Jul  4 17:29:43 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-mode-map): Add menu bar items.
	(outline-minor-mode-map): Copy menu bar submap from outline-mode-map.

	* help.el (describe-key-briefly): Don't set `foo'.

Sun Jul  4 17:01:01 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* subr.el (posn-point): Properly extract the BUFFER-POSITION field
	of an event when read-key-sequence has placed it in a singleton
	list.

	* comint.el (comint-prompt-regexp): Double the backslashes in the
	sample prompt regexps, so that they print properly when unquoted.

Sun Jul  4 18:54:59 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-backend-diff): Undo "-q" change.  This was fixed
	instead by adding -q support to vcdiff.

Sun Jul  4 13:55:13 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (describe-prefix-bindings): New command.
	(prefix-help-command): Set it.

	* hexl.el: Added a keyword.

Sun Jul  4 12:46:27 1993  Johan Vromans  (jv@mh.nl)

	* forms.el (forms-new-record-filter): Correct default value.
	(forms-modified-record-filter): Correct default value.

Sun Jul  4 00:53:27 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paren.el (show-paren-command-hook): Add message for paren mismatch.

	* vc-hooks.el (vc-mode-line): Put `RCS' or `SCCS' before version num.

Sat Jul  3 21:44:54 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Properly pass noerror argument to recursive calls.

	* frame.el (frame-remove-geometry-params): New function.
	(frame-initialize): Call it, instead of writing it out.

Sat Jul  3 15:03:44 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-region): Cope with change hooks that change props.

Sat Jul  3 06:15:43 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

        * term/x-win.el: Check the reverseVideo/ReverseVideo resource,
	correctly distinguish between "on" and "off" values, and put a
	parameter in default-frame-alist.
	* frame.el (frame-initialize): Don't call x-get-resource here.

Sat Jul  3 03:22:04 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads):
	Do nothing when there are no cookies.

Fri Jul  2 18:55:23 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* mouse.el (mouse-drag-region): Correctly handle drags which enter
	other frames.

Fri Jul  2 17:28:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-path): New variable.
	(vc-do-command): Use vc-path.

	* menu-bar.el (menu-bar-edit-menu): Rename menu item to
	Choose Next Paste.  Create this item along with all the others.

	* isearch.el (isearch-other-meta-char): Handle sequences
	containing mouse clicks in scroll-bar that used another buffer's map.

Fri Jul  2 16:06:38 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* vc.el (vc-backend-diff): Pass the "-q" flag only if we're using
	rcsdiff.

Fri Jul  2 14:31:59 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el: Put mouse-menu-choose-yank binding after
	paste=>yank binding in menu-bar-edit-menu.

Fri Jul  2 13:32:10 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-keep-pending): Handle fset like defalias.
	(byte-compile-file-form-defmumble): Fix backward if in prev change.

Thu Jul  1 20:14:44 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* dired-aux.el (dired-diff): Work even when the mark is inactive.

Thu Jul  1 18:10:45 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send): Don't test buffer-modified-p
	if buffer is visiting a file.

	* bytecomp.el (byte-compile-file-form-defmumble):
	If byte-compile-compatibility, use fset, not defalias.

Thu Jul  1 16:33:01 1993  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* simple.el: Add bindings to function-key-map so that the keypad
	keys act like ordinary self-insertion keys, unless explicitly bound.

Thu Jul  1 14:39:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el (build-mail-abbrevs): Do substitute-in-file-name
	on the abbrev, for `source'.

	* files.el (set-visited-file-name): Rename the old auto save file.

Thu Jun 30 23:31:58 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* menu-bar.el (mouse-menu-choose-yank):
	Just return when x-popup-menu returns nil.
	Add menu-enable property to this function.

Wed Jun 30 17:50:25 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compile-abbreviate-directory): New function.
	(compilation-parse-errors): Use that, to visit files with a dirname
	more like the one the user specified.

Wed Jun 30 15:38:53 1993  Johan Vromans  (jv@mh.nl)

	* forms.el: Add e-mail address and version info.
	Adjust commentary and doc strings.
	(forms-mode): Add ###autoload.
	(forms-find-file): Add ###autoload.
	(forms-find-file-other-window):	Add ###autoload.

Wed Jun 30 21:35:59 1993  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-update-change-log): Ensure that file names inserted
	into a ChangeLog are relative to that ChangeLog.

Wed Jun 30 12:43:18 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (mark-even-if-inactive): New variable.
	(mark): Test it.

	* rmail.el: Doc fixes.

Wed Jun 30 00:29:08 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* gud.el: Add history lists to the debugging commands, so we don't
	have to retype the filename every invocation.
	(gud-gdb-history, gud-sdb-history, gud-dbx-history,
	gud-xdb-history): New variables.
	(gdb, sdb, dbx, xdb): Use them when reading the argument string.

	* mouse.el (mouse-drag-region-1): Commented out.
	(mouse-drag-region): Commented out, and replaced with new version,
	which highlights the region as we drag.
	(mouse-scroll-delay, mouse-drag-overlay): New variables.
	(mouse-scroll-subr): New function.

	* sun-fns.el, sun-curs.el: Move these to lisp/term, to be with
	sun-mouse.el.

Tue Jun 29 19:00:38 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (global-face-data): Doc fix.

	* gnus.el (gnus-newsrc-to-gnus-format): Correct regexp which
	matches .newsrc lines not to match more than one line.

Tue Jun 29 13:05:15 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ls-lisp.el (insert-directory): Doc fix.
	(ls-lisp-format): Provide user name when known.
	On ms-dos, provide a name for the group, to be prettier.

Mon Jun 28 00:47:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): Delete duplicate bindings that come
	after the new one.  Do insert when we reach the end, if haven't before.

	* paren.el: New file.

	* faces.el (face-initialize): Create `underline' face.
	(x-initialize-frame-faces): Set up `underline' face.

	* faces.el (x-initialize-frame-faces): Check x-display-color-p
	and x-display-planes to decide whether to try using colors or gray.

	* man.el (Man-auto-section-alist): Default value nil.
	(Man-getpage-in-background): Call Man-default-man-args.
	(Man-filter-list): Don't discard overstrike here.
	(Man-set-fonts): New function.
	(Man-bgproc-sentinel): Call Man-set-fonts.
	(Man-version-number): Var deleted.
	(Man-version): Command and binding deleted.
	(Man-mode): Use Manual, not Man, as official mode name.

	* solar.el: Doc fixes.

	* c-mode.el (c-forward-conditional): New function.
	(c-up-conditional): Use c-forward-conditional.
	(c-backward-conditional): New function.
	(c-mode-map): Make bindings for them.

Sun Jun 27 20:56:11 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-update-change-log): Restore previous default-directory
	for running rcs2log.

Sat Jun 26 00:18:21 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (define-key-after): New function.

Fri Jun 25 13:58:52 1993  Barry A. Warsaw  (warsaw@anthem.nlm.nih.gov)

	* reporter.el (reporter-submit-bug-report): Rename local var curbuf
	to reporter-eval-buffer.
	(reporter-dump-variable): Eval varsym in reporter-eval-buffer.

	* c++-mode.el (c++-fast-backward-syntactic-ws-2)
	(c++-fast-backward-syntactic-ws-1): Change the proper syntax table
	depending on whether we are editing C or C++ code.

	* c++-mode.el (c++-indent-exp): When computing offset for open-brace
	line, check not at class top level before adding c-indent-level.
	Fix bug handling member init lists.
	Fix case where comments follow a continued statement.
	Fix handling of c-brace-offset < 0.

	* c++-mode.el (c++-calculate-indent):
	Fixed indentation when base class declaration is on a separate line
	then the derived class intro header.
	Don't skip up past compound statement if we're in a member init list.

	* c++-mode.el (c++-indent-line): Clean up adjustment
	of block closing braces.  Handle a list as value of
	c++-block-close-brace-offset.

	* c++-mode.el (c++-indent-exp): Use c-continued-statement-offset
	instead of c-indent-level to indent comma separated arg decl lists.

	* c++-mode.el (c++-fast-backward-syntactic-ws-2): Simplify for
	new forward-comment semantics.

	* c++-mode.el (c++-calculate-indent): Change if's to cond in CASE3.
	Require colon when looking for `case' or `default'.
	Use c++-compound-offset.
	(c++-compound-offset): New function.
	Distinguish statement continuation from enum and initializer lists.

Fri Jun 25 18:30:17 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-rcs-status): New variable.
	(vc-mode-line): Display the lock status and head version.
	(vc-rcs-status, vc-rcs-glean-field): New function.

	* menu-bar.el (mouse-menu-bar-buffers): Include % and * in each item.
	Calculate amount of space needed for longest buffer name.
	* mouse.el (mouse-buffer-menu): Likewise.

Fri Jun 25 18:01:47 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (find-change-log): Try get-file-buffer before
	file-exists-p.

Fri Jun 25 17:30:19 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-diff): If `diff' gives empty output, return nil.

Wed Jun 23 21:45:19 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* ange-ftp.el: Loosen file-name-handler-alist regexp so we can do
	host name completion.

	* hexl.el (hexl-in-save-buffer): New flag.
	(hexl-save-buffer): Prevent infinite recursion.

Tue Jun 22 04:11:33 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (command-switch-alist): "-ib" takes a numeric
	argument; use x-handle-numeric-switch for it.

	* replace.el (query-replace-map): Fix typo in binding for [return].

Tue Jun 22 00:23:04 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailsort.el: Don't touch rmail-summary-mode-map.
	Don't touch rmail-mode-map.  Don't require rmail or sort.
	(rmail-summary-sort-...): Moved to rmailsum.el.
	(rmail-sort-from-summary): Likewise.

	* rmail.el: Add autoloads for rmailsort commands.
	(rmail-mode-map): Add bindings for those commands.

	* rmailsum.el (rmail-summary-mode-map): Bind summary sort commands.
	(rmail-summary-sort-...): Moved from rmailsort.el.
	(rmail-sort-from-summary): Likewise.  Require rmailsort.

Mon Jun 21 22:01:23 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* compile.el (compile-file-of-error): Remember that
	compilation-error-list stores file names as strings, not as (DIR .
	FILE) pairs.

	* diff.el (diff-parse-differences): Preserve the match data
	across the call to find-file-noselect.

	* subr.el (event-end): Modified to account for multi-click events.

Mon Jun 21 01:53:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-mode-map): Add local menu bar bindings.
	(rmail-search-backward): New command.
	(rmail-mode): Move to the last message.

	* rmailsum.el (rmail-summary-mode-map): Add local menu bar bindings.
	(rmail-summary-search-backward): New command.
	(rmail-summary-search): Don't use save-excursion.

	* sendmail.el (mail-mode-map): Add local menu bar bindings.

	* texinfo.el: Set up autoloads for files `makeinfo' and `texnfo-upd'.
	(texinfo-delete-from-print-queue-command): New var.
	(texinfo-tex-trailer): New var.
	(texinfo-tex-region): Use that.
	(texinfo-tex-buffer): Rewritten; use the actual source file.
	Binding is now C-c C-t C-b.
	(texinfo-texindex): Turned back on.
	(texinfo-quit-job): New command, with binding.
	(texinfo-delete-from-print-queue): Likewise.
	(texinfo-show-structure): Indent each line according to depth.
	Require texnfo-upd.
	(texinfo-section-types-regexp): Var deleted.
	(texinfo-insert-@-with-arg): New function.
	(texinfo-insert-@var, etc.): Use that.
	(texinfo-insert-@end): New command, now on C-c C-c e.
	(texinfo-insert-@end-example): Deleted.
	(texinfo-insert-@table): New command, on C-c C-c t.
	(texinfo-start-menu-description): New command, on C-c C-c C-d.
	(texinfo-mode): No longer set tex-trailer.
	Make the @node for the top node start a page.
	Use shorter values for tex-end-of-header and tex-start-of-header.
	(texinfo-mode-map): Add bindings for makeinfo-buffer, etc.
	Delete bindings for texinfo-format-buffer/region.
	(texinfo-define-common-keys): New function.

	* texinfmt.el: File deleted.

	* makeinfo.el: New file.

	* metamail.el: New file.

	* time-stamp.el: New file.

Sun Jun 20 20:44:36 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): To find the name of the
	function being defined in emacs-lisp-mode, lisp-mode, and
	scheme-mode, skip an opening paren and an s-expression, instead of
	just one word.  This allows us to properly recognize things like
	define-key and define-macro.

	* replace.el (query-replace-map): Make RET exit query-replace,
	just like ESC.

Sun Jun 20 18:44:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mh-e.el (mh-yank-cur-msg): Test mark-active.

Sat Jun 19 17:14:27 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* version 19.15 released.

Sat Jun 19 17:47:40 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): Remove the call to recursive-edit.

Sat Jun 19 15:05:59 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): Record file attributes of files used.
	Recompute the dir if they change.

	* files.el (insert-file): Report error if file is directory.

Fri Jun 18 21:43:43 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* man.el (Man-switches): New variable.
	(Man-build-man-command): Use it to build the man command.
	(Man-mode): Mention it in documentation.

Fri Jun 18 21:13:02 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): Check file can be read before trying
	to read part of it.

	* ange-ftp.el (ange-ftp-insert-file-contents):
	Handle extra args BEG, END.

Fri Jun 18 19:25:02 1993  Johan Vromans  (jv@mh.nl)

	* forms.el: Delete local variables list.
	(forms-forms-scrolls): Deleted.
	(forms-forms-jumps): Deleted.
	(forms--change-commands): Use substitute-key-definition.
	(forms-mode): Call forms--change-commands later on.

Fri Jun 18 13:55:31 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Generalize the
	Apollo/BSD4.3 regexp to handle IBM RS6k too.

	* mouse.el (mouse-secondary-save-then-kill): Don't switch windows.
	Just set-buffer, and put save-excursion around it.
	(mouse-set-secondary, mouse-start-secondary): Likewise.
	(mouse-drag-secondary): Switch windows and move point just temporarily.

Fri Jun 18 13:49:53 1993  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* dired.el (dired-summary): dired-do-rename is on "R", not "r".

Fri Jun 18 10:14:45 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-version): Update to 5.1.  Fixed a variety
        of spelling error in comments and doc strings.
        (calendar-sexp-debug): New variable to turn off error catching.
	(calendar-absolute-from-gregorian): Removed unused vars month, day.
        (view-calendar-holidays-initially, all-hebrew-calendar-holidays,
        all-christian-calendar-holidays, all-christian-islamic-holidays,
        diary-nonmarking-symbol, hebrew-diary-entry-symbol,
        islamic-diary-entry-symbol, diary-include-string,
        abbreviated-calendar-year, european-calendar-style,
        european-calendar-display-form, american-calendar-display-form,
        calendar-date-display-form, print-diary-entries-hook,
        list-diary-entries-hook, nongregorian-diary-listing-hook,
        nongregorian-diary-marking-hook, diary-list-include-blanks,
        holidays-in-diary-buffer, general-holidays,
        increment-calendar-month, calendar-sum, calendar-string-spread,
        calendar-absolute-from-iso, calendar-print-iso-date,
        hebrew-calendar-elapsed-days, list-yahrzeit-dates,
        calendar-print-astro-day-number): Fix doc strings.
        (calendar-nth-named-day): Rewritten to include optional day of month.
        (general-holidays, calendar-holidays, hebrew-holidays,
        christian-holidays, islamic-holidays,
        solar-holidays): Rewritten to include require of cal-dst.el and to
        show the time of the change to/from daylight savings time.
        (calendar-current-time-zone, calendar-time-zone,
        calendar-daylight-time-offset, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name, calendar-daylight-savings-starts,
        calendar-daylight-savings-ends,
        calendar-daylight-savings-switchover-time): Moved to cal-dst.el.
        (calendar-location-name, calendar-time-display-form, calendar-latitude,
        calendar-longitude): Moved to solar.el.
        (calendar-holidays): Unquote it!

        * solar.el (calendar-holiday-solar-equinoxes-solstices): Renamed
        solar-equinoxes-solstices.
        (calendar-time-display-form, calendar-latitude,
        calendar-longitude): Moved from calendar.el.
        (calendar-time-zone, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name,
        calendar-daylight-savings-starts, calendar-daylight-savings-ends):
        Take default values from calendar-current-time-zone, instead of
        being overwritten in open code if they were set to nil.
        (solar-time-string): Subtract calendar-daylight-time-offset when
        computing dst-ends.  Avoid rounding errors when rounding time to
        the nearest minute.

        * diary.el (list-sexp-diary-entries,
        hebrew-calendar-year-Saturday-incomplete-Sunday,
        hebrew-calendar-year-Monday-incomplete-Tuesday,
        hebrew-calendar-year-Tuesday-regular-Thursday,
        hebrew-calendar-year-Thursday-complete-Sunday,
        hebrew-calendar-year-Saturday-complete-Thursday,
        hebrew-calendar-year-Monday-complete-Saturday,
        hebrew-calendar-year-Thursday-incomplete-Sunday): Fix doc strings.
        (diary-sexp-entry): Use calendar-sexp-debug to turn off error catching.
        
        * diary-ins.el (insert-cyclic-diary-entry): Fix date form.

        * cal-mayan.el (calendar-mayan-days-before-absolute-zero,
        calendar-mayan-haab-difference, calendar-mayan-tzolkin-difference,
        calendar-mayan-tzolkin-haab-on-or-before,
        calendar-previous-calendar-round-date,
        calendar-absolute-from-mayan-long-count,
        calendar-print-mayan-date): Fix doc strings.

        * holidays.el (calendar-holiday-function-fixed,
        calendar-holiday-function-float, calendar-holiday-function-julian,
        calendar-holiday-function-islamic,
        calendar-holiday-function-hebrew, calendar-holiday-function-sexp,
        calendar-holiday-function-advent,
        calendar-holiday-function-easter-etc,
        calendar-holiday-function-greek-orthodox-easter,
        calendar-holiday-function-rosh-hashanah-etc,
        calendar-holiday-function-hanukkah,
        calendar-holiday-function-passover-etc,
        calendar-holiday-function-tisha-b-av-etc): Renamed without words
        "calendar" and "function"; changed argument from a list of values to
        individual values.  Fixed doc strings.
        (calendar-holiday-function-if): Removed.
        (calendar-holiday-solar-equinoxes-solstices): Renamed
        solar-equinoxes-solstices.
        (calendar-holiday-list): Rewrote to accomodate the name changes
        above and the unquoting of calendar-holidays.
        (calendar-cursor-holidays):  Change screen-width to frame-width.
        (holiday-sexp): Rewritten.

        * lunar.el (lunar-phase): Use time conversion from solar.el

        * cal-dst.el: New file.
        (calendar-/, calendar-%, calendar-absolute-from-time,
        calendar-time-from-absolute, calendar-next-time-zone-transition,
        calendar-time-zone-daylight-rules): New functions.
        (calendar-current-time-zone): Moved from calendar.el and rewritten.
        (calendar-current-time-zone-cache): New variable.
        (calendar-current-time-zone, calendar-time-zone,
        calendar-daylight-time-offset, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name,
        calendar-daylight-savings-starts, calendar-daylight-savings-ends,
        calendar-daylight-savings-switchover-time): Moved from calendar.el.

Thu Jun 17 19:29:56 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.14 released.

Thu Jun 17 19:41:01 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-citation-hook): New hook var.
	(mail-yank-original): Use that hook if not nil.

	* sc.el: Change usage comment.

Thu Jun 17 18:57:01 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Always pass the frame parameter to internal-try-face-font; we only
	want to set the face for this frame.

	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Fix error messages.

Thu Jun 17 00:12:30 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el (set-face-background-pixmap, face-background-pixmap):
	Functions commented out.

	* mouse.el (mouse-start-secondary): New function.
	(mouse-set-secondary, mouse-drag-secondary): New functions.
	(mouse-kill-secondary, mouse-secondary-save-then-kill): New functions.

	* term/vt200.el: Translate F11 (ESC [ 23 ~) to ESC.
	* term/vt201.el, term/vt220.el, term/vt240.el: Likewise.

	* autoload.el (generate-file-autoloads): Undo previous change
	because make-docfile requires defvar doc string to start on first line.

	* cplus-md.el: Renamed from c++-mode.el.
	* cplus-md1.el: Renamed from c++-mode-1.el.

	* vc.el (vc-rename-file): Remove periods from error messages.
	(vc-backend-logentry-check, vc-revert-buffer): Likewise.
	(vc-retrieve-snapshot, vc-create-snapshot): Likewise.
	(vc-diff, vc-finish-logentry, vc-steal-lock): Likewise.
	(vc-register, vc-next-action-on-file, vc-registration-error): Likewise.
	(vc-cancel-version): Add space to end of question.

	* menu-bar.el (mouse-menu-choose-yank): New function.
	Put it in the edit menu.
	(yank-menu-length): New variable.

Wed Jun 16 20:16:10 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* subr.el (event-basic-type): Deal with listy events properly.

Wed Jun 16 23:06:58 1993  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (make-autoload): Use memq once instead eq twice.
	(generate-file-autoloads): For non-autoloads, copy the defn textually
	rather than printing it after reading.

	* autoload.el (generate-autoload-cookie, update-autoloads-here):
	Doc fixes.

Wed Jun 16 17:21:51 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (set-frame-configuration): Don't try to set a frame's
	minibuffer.  This parameter can't be changed, so that would signal
	an error.

Wed Jun 16 13:42:25 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* assoc.el (aput): Doc fix.

	* ls-lisp.el (insert-directory): If no handler, convert SWITCHES
	from a string to a list of characters.

	* disass.el (disassemble-internal): If function is autoload, load it.

	* lisp.el (parens-require-spaces): Var renamed and sense changed.
	(insert-parentheses): Corresponding changes.

	* rmailout.el (rmail-output): Use insert-file-contents to look at
	beginning of output file.

	* term/x-win.el (x-switch-definitions): Fix -iconic.

	* bytecomp.el (byte-compile-file-form-defmumble): Typo in prev change.

Tue Jun 15 03:56:34 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-process-filter): Use server-switch-buffer.

	* gud.el (gud-xdb-directories): Renamed from gud-xdb-paths.
	Defvar moved earlier.  All uses changed.
	(gud-xdb-debugger-startup): Rename local var `paths'.
	(gud-xdb-file-name): Likewise.

	* inf-lisp.el (inferior-lisp-buffer): Move defvar earlier.

	* mailalias.el (define-mail-alias): Remove excess whitespace better.

	* mailabbrev.el (define-mail-abbrev): Renamed from define-mail-alias.
	(build-mail-abbrevs): Use new name.

	* bytecomp.el (byte-compile-file-form-defmumble): Use defalias
	for named function, even if no doc string.

	* dired.el (dired-repeat-over-lines): Going fwd, skip new lines
	that FUNCTION inserts after the current line.
	Going backwd, no need for dired-move-to-filename each time.

Tue Jun 15 21:10:22 1993  Shane Hartman  (shane@nugget.spr.com)

        * gud.el (xdb): New debugger supported (xdb under HPUX-PARISC).
        (gud-xdb-debugger-startup): New function.
        (gud-xdb-file-name, gud-xdb-accumulation): New functions.
        (gud-xdb-marker-filter, gud-xdb-paths, gud-xdb-find-file): New.

Mon Jun 14 14:53:25 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lisp.el (parens-dont-require-spaces): New variable.
	(insert-parentheses): Obey that variable.

	* emerge.el (emerge-make-diff3-list): Pass ancestor second.
	(emerge-extract-diffs3): Replace group-1 with group-2.
	(emerge-handle-local-variables): Pass no arg to hack-local-variables.

	* picture.el (picture-replace-match): New function.
	* dabbrev.el (dabbrev-expand): Do all changes with replace-match.
	In picture-mode, use picture-replace-match instead.

Mon Jun 14 10:57:43 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* holidays.el: Eval calendar-holidays; don't just use its value.

	* complete.el: (provide 'complete).

Mon Jun 14 03:10:35 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* window.el (balance-windows): Total rewrite.

Sun Jun 13 00:33:55 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-file): Undo previous change.
	(batch-byte-recompile-directory): Doc fix.

	* isearch.el (isearch-highlight): If no face `isearch', use `region'.

	* c-mode.el (c-indent-line): Call c-backward-to-start-of-if
	in the case of else following a close brace.

	* man.el (Man-getpage-in-background): Use TERM=dumb to prevent
	terminal control sequences in the output.

Sat Jun 12 16:58:04 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (abbreviate-file-name): Match home dir with no /
	if nothing else follows.

	* finder.el (finder-find-library): New function.
	(finder-commentary): Use it.

	* forms.el, forms-pass.el, forms-d2.el, forms-dat.el, forms.README:
	Moved from subdir forms-mode.  Subdir deleted.

Sat Jun 12 16:03:03 1993  Johan Vromans  (jv@mh.nl)

	* forms.el (forms--change-commands): 
	Use (function (lambda ...)) instead of '(lambda...).

	* forms.el: Provide `forms' as well as `forms-mode'.
	(forms-new-record-filter, forms-modified-record-filter): Add defvars.

Sat Jun 12 02:53:34 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (make-directory): By default create dir default-dir. 

Fri Jun 11 11:46:51 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-backend-diff): Always use -q option.

	* files.el (file-truename): Don't use expand-file-name to merge
	a link target into the previous dir.  Handle .. and . explicitly.

	* env.el (setenv): Treat case as significant.

	* mailabbrev.el (sendmail-pre-abbrev-expand-hook):
	If last-command-char is not a character, don't check char-syntax.

	* inf-lisp.el: Doc fixes. 
	(run-lisp): Add autoload.
	(inferior-lisp-mode-map): Explicitly make local prefix keys.

	* cmulisp.el: File deleted.

	* server.el (server-window): New variable.
	(server-switch-buffer): Use it.

	* flow-ctrl.el (enable-flow-control): Don't alter the 8-bit flag.

	* man.el (Man-filter-list): Add an element for X man pages.
	(Man-goto-page): Continue past errors in Man-build-references-alist.

	* rmailout.el (rmail-output-to-rmail-file): Use the smart default
	in the prompt.

	* register.el (view-register): Handle file name values.

	* etags.el (etags-tags-completion-table): When skipping the noise
	before the tag name, let it end with any char not allowed in a tag.

	* files.el (cd): Use file-name-absolute-p.
	(cd-absolute): No longer interactive.

	* echistory.el (electric-history-map): Don't use fillarray;
	make default bindings instead.  Bind up, down, home, next, prior.

Fri Jun 11 05:44:40 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (frame-initialize): Remember to actually traverse
	initial-frame-alist.

	* gud.el (gud-last-last-frame): New variable.
	(gud-display-frame): Save the frame we displayed in
	gud-last-last-frame.
	(gud-refresh): Force gud-display-frame to jump to the last frame
	displayed, even if it has already done so once.

	* man.el (manual-entry): Recognize the subject(section) syntax.

	* picture.el (move-to-column-force): If column is negative, go
	flush left.

	* simple.el (hscroll-point-visible): Work as documented in the
	docstring for hscroll-step.

Fri Jun 11 00:04:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lisp-mode.el (lisp-indent-function): Look for either
	lisp-indent-hook or lisp-indent-function property.

	* files.el (make-backup-files): Doc fix.

	* mouse.el (mouse-set-mark-fast): New function.
	(mouse-show-mark): New function.
	(mouse-kill-ring-save, mouse-save-then-kill): Use them.
	(mouse-save-then-kill): Don't let kill-region alter this-command.
	Check last-command accordingly.
	(mouse-split-window-vertically): Handle scroll bar events.

Thu Jun 10 13:41:06 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-primary-inbox-list): Use defvar, not defconst.

	* files.el (basic-save-buffer): Cal auto-save-mode with t as arg
	if and only if auto save was off and default is on.
	(set-visited-file-name): Likewise.

	* simple.el (append-to-buffer): Interactively, supply all 3 args.
	Allow nonexistent buffers.

	* files.el (abbreviate-file-name): Make abbreviated-home-dir
	from `~/', not from just `~'.
	(hack-one-local-variable): Query for ...-hook(s) and ..-function(s)
	as the `eval' variable.

	* ispell.el: Doc fixes.
	(ispell-command, ispell-command-options): New defvars.
	(start-ispell): Use them.

	* ange-ftp.el (ange-ftp-multi-msgs): Add 331-.

	* man.el (Man-mode): Run Man-mode-hook.

	* bibtex.el (bibtex-mode-map): Use tex-insert-quote, not TeX-...

Thu Jun 10 15:16:11 1993  Shane Hartman  (shane@nugget.spr.com)

        * c++-mode.el (calculate-c++-indent): Respect
        c-continued-brace-offset (as in c-mode.el).

Thu Jun 10 06:39:46 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (frame-initialize): When deleting geometry
	specifications from initial-frame-alist, remember that they may
	occur more than once, and do, if the -geometry option was
	specified as well as a .geometry resource.

	* scroll-bar.el (scroll-bar-mode): Variable deleted.
	(scroll-bar-mode): Function changed to consult default-frame-alist
	instead of the variable.

	* gnus.el (gnus-start-news-server): If no server has been
	specified, but gnus-nntp-service is nil, don't ask for a server
	name; use the local host.

	* ange-ftp.el (ange-ftp-make-directory): Take second optional
	argument parents, like the original.  Implement it.

	* gnus.el (gnus-newsrc-to-gnus-format): Change regexp which
	matches .newsrc lines for better performance under the new regexp
	routines.

Thu Jun 10 13:40:44 1993  Dave Gillespie  (daveg@synaptics.com)

	* bytecomp.el: Bug fixes and upgrade to match Zawinski's v2.10.
	(byte-compile-dest-file): Added support for emacs-lisp-file-regexp.
	(byte-recompile-directory): Several things involving `noninteractive'.
	(byte-compile-file): Changed prompting in read-file-name.
	(byte-compile-insert-header): Put a magic number at top of .elc files,
	fixed backwards test of byte-compile-compatibility.
	(byte-compile-form, byte-defop-compiler19, byte-compile-list,
	byte-compile-concat, byte-compile-insert): Likewise.
	(byte-compile-condition-case): Added checking for unknown conditions.
	(batch-byte-recompile-directory): New function.

Wed Jun  9 05:43:49 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* compile.el (compilation-error-list): When we haven't yet
	generated a marker for the source position of an error message,
	store (FILENAME . LINE-NUMBER), not ((DIRECTORY . FILE)
	LINE-NUMBER).  Doc fix.
	(next-error, compilation-parse-errors): Adjusted appropriately.

	* scroll-bar.el (scroll-bar-set-window-start): Remember that the
	scroll bar numbers reflect the accessible region of the buffer,
	not the entire buffer.

Tue Jun  8 12:28:05 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-flag-auto-save-files): Ignore `*' added by ls -F.

	* sc.el (sc-mark): Use mark-marker.

Tue Jun  8 08:28:14 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.13 released.

Tue Jun  8 00:40:46 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fortran.el (fortran-indent-new-line): Renamed from
	fortran-reindent-then-newline-and-indent.

	* mouse.el (mouse-drag-region-1): Un-comment-out this function.

	* info.el (Info-follow-reference): Fix completion defaulting.

Mon Jun  7 21:47:37 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-current-time-zone): Change variable names
        to make them more readable.
        (calendar-time-zone, calendar-standard-time-zone-name,
        calendar-daylight-time-zone-name, calendar-daylight-savings-ends,
        calendar-daylight-savings-starts): Don't autload them.

Mon Jun  7 00:25:00 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (safe-documentation): Don't crash on byte-compiled macro.

	* telnet.el (telnet-simple-send): New function.
	(telnet): Arrange to use that.

	* sun-keys.el: File deleted.

	* texinfo.el (texinfo-section-types-regexp): Add @chapheading.

	* gud.el: Doc fixes.  Delete local variable list at the end.
	(expr-forward-sexp): Renamed from forw-expr.
	(expr-backward-sexp): Renamed from back-expr.

	* case-table.el (describe-buffer-case-table): Merge locals i and ch.
	Make *Help* current buffer for describe-vector.

	* bibtex.el: Fix typos in previous change.
	Add a few menu items.

	* compile.el (compilation-error-regexp-alist): Make sure each regexp
	can only match a few characters at the front.  Split off the Mips
	CC regexp from the Apollo regexp.

	* rmail.el (rmail-variables): Default rmail-inbox-list here.
	(rmail): Not here.

	* ange-ftp.el (ange-ftp-real-load): New function.
	(ange-ftp-load): New function--handles `load'.

Sun Jun  6 18:29:36 1993  Paul Eggert  (eggert@twinsun.com)

	* term/sun-mouse.el (mouse-union-first-preferred): Renamed from
	mouse-union-first-prefered.

Sun Jun  6 17:46:25 1993  Paul Eggert  (eggert@twinsun.com)
	
	* sc.el (sc-consistent-cite-p): Renamed from sc-consistant-cite-p.

	* etags.el (etags-recognize-tags-table): Fix misspelling of
	find-tag-regexp-next-line-after-failure-p.

	* bibtex.el (bibtex-name-alignment): Renamed from
	bibtex-name-alignement.

	* allout.el (outlinify-sticky): Renamed from outlineify-sticky.

	* faces.el (x-create-frame-with-faces): Reversevideo -> ReverseVideo.
	* frame.el (frame-initialize): Likewise.

Sun Jun  6 01:27:16 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-minor-mode): Add autoload cookie.

	* bibtex.el: Define 2 local menu-bar submaps.
	(bibtex-x-help, bibtex-x-environment): Deleted.

	* isearch.el (search-upper-case): Make `no-yanks' the default.
	(isearch-no-upper-case-p): New arg REGEXP-FLAG.
	(isearch-search): Pass new arg.
	(isearch-member-equal): Deleted.
	(isearch-overlay): New variable.
	(isearch-highlight, isearch-dehighlight): Rewritten to use overlays.

	* dired.el (dired-unmark-all-files): Read arg as just a character.
	Use non-regexp search to find a specific mark.
	Use subst-char-in-region to make the change.
	Improve the message at the end.

	* vip.el (vip-ctl-key-equivalent): Use vip-escape-to-emacs.
	(vip-escape-to-emacs): Use read-key-sequence and key-binding.
	Arg EVENTS replaces arg CHAR.  
	(vip-ESC, vip-ctl-c, vip-ctl-x, vip-ctl-h): These callers changed.

	* compile.el (compile-internal): Alter current buffer only temporarily.

Sat Jun  5 13:08:08 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Replace the code for appending to buffer.

	* rmailsum.el (rmail-summary-next-msg): Fix number of dots in regexp.

	* scroll-bar.el (scroll-bar-drag-1):
	Calculate position relative to the accessible part of the buffer.

	* menu-bar.el (menu-bar-help-menu): Add defvar.
	(menu-bar-edit-menu, menu-bar-file-menu): Likewise.

	* dired.el (dired-flag-backup-files): Handle `*' made by `ls -F'.

	* ange-ftp.el (internal-ange-ftp-mode): Renamed from ange-ftp-mode.
	Callers changed.

	* menu-bar.el (window-system): Enable menu bars only if
	window-system is non-nil.

	* add-log.el (add-log-current-defun): Fix typos in last change.

Sat Jun  5 04:39:08 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-selection-timeout): Set it, using x-get-resource.

Fri Jun  4 07:14:44 1993  Paul Eggert  (eggert@twinsun.com)

	* timezone.el: (timezone-make-date-arpa-standard,
	timezone-make-date-sortable): Move common code into timezone-fix-time.
	(timezone-fix-time): Merge common code from above two functions.
	Yield time zone at end of result vector.
	Set time zone offset correctly as of the given time,
	instead of guessing from the current offset.
	(timezone-make-arpa-date, timezone-zone-to-minute): Convert
	current-time-zone style timezones into RFC-822 style timezones.

	(timezone-time-from-absolute, timezone-time-zone-from-absolute,
	timezone-day-number, timezone-absolute-from-gregorian):
	More functions borrowed from Reingold's calendar package.

	(timezone-make-arpa-date, timezone-make-sortable-date): Can safely
	assume that year includes century, since timezone-fix-time guarantees
	this.

	* gnuspost.el (gnus-current-time-zone):	New function, which tries
	current-time-zone, and if that fails falls back on gnus-local-timezone.
	(gnus-inews-date): Use it.
	(gnus-inews-valid-date): New optional args TIME (default now) and ZONE
		(default GMT).
	(gnus-inews-buggy-date): New optional arg TIME (default now).

	* gnus.el (gnus-local-timezone): Now used only if current-time-zone
	does not work.

Fri Jun  4 01:16:48 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mh-e.el (mh-yank-cur-msg): Use (mark t).

	* simple.el (mark): Doc fix.

	* add-log.el (add-log-current-defun): Handle Fortran.

	* rmail.el (rmail-resend): Require sendmail and mailalias.

	* time.el (display-time-24hr-format): Make it a user option.

	* edt.el (GOLD-prefix): Define *after* GOLD-map.

	* dired.el (dired-change-marks): Just ding if one arg is RET.
	Search for strings, not regexps.  Use subst-char-in-region.

	* isearch.el (isearch-mode): Set isearch-window-configuration
	only if in slow mode.
	(isearch-done): Use isearch-window-configuration only if non-nil.
	(isearch-other-control-char): For mouse event, call isearch-done
	in the buffer whose keymap was used.

	* flow-ctrl.el (enable-flow-control): Doc fix.

Thu Jun  3 20:01:19 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-holidays): Quote it to delay evaluation
        until it's needed.

        * holidays.el (calendar-holiday-list): Eval calendar-holidays.

Thu Jun  3 00:47:23 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Omit first 2 lines when appending
	to an RMAIL buffer.

	* simple.el (kill-ring-save): Doc fix.

	* rmailsum.el (rmail-summary-expunge-and-save): Do save-buffer last.
	Use two separate save-excursion calls.
	(rmail-summary-input): Use pop-to-buffer.
	(rmail-summary-get-new-mail): Gobble rmail-current-message;
	later go to that message.
	(rmail-summary-next-msg): Start at end of line, if moving forward.
	Move to beginning of line, after the loop.
	(rmail-new-summary): Fix format of elt in minor-mode-alist.

	* rmail.el (rmail-select-summary): Add a save-excursion.

	* rmailsum.el (rmail-summary-expunge-and-save):
	Call set-buffer again after rmail-only-expunge.
	(rmail-summary-add-label, rmail-summary-kill-label):
	Fix reading the label.
	(rmail-summary-rmail-update): Bind window locally.
	Use unwind-protect, not save-window-excursion.

	* vc-hooks.el (vc-find-file-hook): Check buffer-file-name is non-nil.

	* hideif.el (define-hide-ifdef-mode-map): Don't bind C-c LETTER.
	Use C-c ESC LETTER instead.
	Handle case where where-is-internal returns nil.

	* texinfmt.el: Provide texinfmt.

	* bytecomp.el (byte-compile-insert-header): Fix backwards test
	of byte-compile-compatibility.

	* info.el (Info-mode-map): Bind mouse-2, not mouse-3.

	* view.el (View-scroll-lines-forward): If we exit, do nothing else.

	* calendar.el (calendar-mode): Doc fix.
	(calendar-mark-ring): New defvar.

	* frame.el (frame-initialize): Set cursor-color last.

	* vip.el (vip-escape-to-emacs): Temporarily restore local map
	and use read-key-sequence.

	* rmailsum.el (rmail-summary-by-senders): New function.
	(rmail-message-senders-p): New function.

Thu Jun  3 17:58:59 1993  Dave Gillespie  (daveg@synaptics.com)

	* complete.el (PC-lisp-complete-symbol): Added.
	(PC-look-for-include-file): Recognize some Lisp notations.
	(PC-include-file-all-completions): Fixed uppercase variable names.

Wed Jun  2 12:56:57 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-suffix-list): Handle .gz suffix.
	* ange-ftp.el (ange-ftp-binary-file-name-regexp): Handle .gz.

	* ehelp.el (electric-help-command-loop): Use equal to compare
	lists of events.

	* electric.el (Electric-command-loop): Use eq to compare events.

	* diff.el (diff): Really do use arg SWITCHES.

	* frame.el (frame-initialize): Delete geometry parms
	from initial-frame-alist.

Wed Jun  2 09:59:02 1993  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

        * calendar.el (calendar-daylight-savings-starts): Mention use of
        nil value in documentation string.
        (calendar-daylight-time-offset): New variable.
        (calendar-daylight-savings-switchover-time):  New variable.
        (calendar-mode): Mention them.
        (calendar-time-zone, calendar-print-astro-day-number,
        calendar-time-display-form): Change Universal Time (UT) to
        Coordinated Universal Time (UTC). 

        *solar.el (solar-setup, solar-ephemeris-time, sunrise-sunset): Change
        Universal Time (UT) to Coordinated Universal Time (UTC).
        (solar-time-string): Use calendar-daylight-time-offset instead of
        1 hr, and use calendar-daylight-savings-switchover-time instead of
        midnight.  Add an optional parameter to allow forcing the use of
        standard or daylight savings time.  Fix code so it works in
        southern hemisphere (start of dst precedes end of dst in a
        calendar year) and when dst either starts or ends in a calendar
        year, but not both.

Tue Jun  1 17:40:30 1993  Ken  Manheimer  (klm@coil.nist.gov)

	* allout.el (outlineify-sticky): Reconciled provisions for
	non-standard and standard prefix leaders.

Tue Jun  1 16:09:26 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.12 released.

	* reporter.el: New file.

	* mouse.el (mouse-buffer-menu): Don't select the event's window,
	if event has frame instead.

	* tar-mode.el: Typo in autoload cookie.

	* shell.el (shell-prompt-pattern): Use defvar.

	* ange-ftp.el (ange-ftp-make-backup-files): Doc fix.

	* sendmail.el (mail-signature): Do not insert a line with `--'.

	* menu-bar.el (mouse-menu-bar-buffers): Renamed from mouse-buffer-menu.

	* subr.el (posn-timestamp): Doc fix.

	* sort.el (sort-fold-case): New variable.
	(sort-subr): Bind case-fold-search from sort-fold-case.

	* simple.el (undo):
	Pass proper arg to delete-auto-save-file-if-necessary.

	* desktop.el: New file.

	* c++-mode-1.el: New file.

Tue Jun  1 16:03:30 1993  Ken  Manheimer  (klm@coil.nist.gov)

	* allout.el (move-to-column): Pass zero instead of negative arg.
	Added some free variables defvars, so byte-comple doesn't complain.
	Included some stub code, eventually will be proper use of Emacs 19
	minor-mode-sensitive keymaps.

Tue Jun  1 14:01:25 1993  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el (fortran-mode): Replace comment-indent-hook with
	comment-indent-function.

	* fortran.el (fortran-is-in-string-p): Replaced with new version
	that uses the syntax table.

	* fortran.el (calculate-fortran-indent): Lines that have a # after
	whitespace are interpreted as cpp directives and outdented back to
	column zero.

Tue Jun  1 00:27:03 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lucid.el (map-keymap): Doc fix.

	* dired-aux.el (dired-compress-file): Use gzip when proper/possible.

	* sc.el: Fix installation instructions.
	(sc-cite-original): Add autoload cookie.

	* sendmail.el (mail-yank-hooks): New hook variable.
	(mail-yank-original): Run the hook.
	(mail-indent-citation): New function.

	* cl.el (cl-mod): Renamed from mod.

	* Version 19.11 released.

	* lucid.el (copy-tree): Use let* to bind new before i.

	* terminal.el (te-pass-through): Delete debugging code left by mistake.

	* comint.el (comint-filter): Put window-start before the input.

	* isearch.el (isearch-mode): If enter recursive-edit,
	also bind isearch-recursive-edit.

	* cookie1.el: Renamed from cookie.el.
	Provide cookie1.
	* yow.el, spook.el: Changed accordingly.

Mon May 31 23:21:41 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-flag-region): Pass t as NOUNDO arg
	to subst-char-in-region.  No need to restore buffer-modified-p by hand.

Mon May 31 20:29:00 1993  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-invocation-args): Add defvar.

Mon May 31 19:59:12 1993  Junio Hamano  (junio@twinsun.com)

	* window.el (count-windows): PROC argument of
	walk-windows takes an argument.

Mon May 31 00:20:50 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-summary-isearch-article): Call isearch-forward
	in ordinary fashion with no args.
	(gnus-inews-article-hook, gnus-prepare-article-hook):
	Initialize to a list.
	(gnus-read-newsrc-file): If timestamps are equal, reload .newsrc. 

	* bibtex.el (bibtex-mode): Add autoload.

	* files.el (inhibit-local-variables-regexps): New variable.
	(set-auto-mode): Handle inhibit-local-variables-regexps.

	* tar-mode.el: Don't initialize write-file-hooks.
	Don't change auto-mode-alist.
	(tar-regexp): Deleted.
	(tar-normal-mode): Deleted.
	(tar-mode): Add autoload.

	* faces.el (x-resolve-font-name): Clean up error messages.

	* timer.el (run-at-time): Pass args to start-process in right order.

	* info.el (Info-get-token): Check that thesecond search succeeded.

	* edebug.el: Provide edebug.

	* rmailsum.el (rmail-message-subject-p): Fix typo in string constant.

	* cl.el (mod): Use cl-floor.
	(rem): Use cl-truncate.

	* gud.el (gud-def): Don't use gud-key-prefix at compile time.

	* window.el (shrink-window-if-larger-than-buffer): Add `interactive'.
	Do nothing if window contents not entirely visible.

	* sendmail.el (mail-do-fcc): Put back the newline at the start
	of the fcc temp buffer.  It got lost somewhere.

Sun May 30 15:14:40 1993  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-nntp-server): Use gnus-default-nntp-server.

	* info.el (Info-mode-map): Correct Info-top to Info-top-node.

	* man.el (Man-notify-when-ready): Correct previous change.

Sun May 30 18:28:43 1993  Stephen Gildea  (gildea@alex.lcs.mit.edu)

	* mh-e.el (mh-signature-file-name): New variable.
	mh-e version 3.8.2.

Sun May 30 13:21:04 1993  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	 * faces.el (x-resolve-font-name): Fix args to error; the format
	 string was changed, but not the arguments to be substituted.

	 * faces.el (x-resolve-font-name): Give correct error message
	 depending on whether or not FACE was non-nil.
